/*General*/

* {
    margin: 0;
    padding: 0;
    list-style: none;
}

:root {
    --bgcolor: #0D1B2A;
    /*main general color*/
    --fontcolor: white;
    /*font color*/
    --hover-color: #778DA9;
    /*Selective color*/
    line-height: 210%;
    letter-spacing: .5px;
    font-family: 'Fauna One', serif;
}


/*Typography and colors*/

header {
    background: var(--bgcolor);
    color: var(--fontcolor);
}

a {
    color: var(--fontcolor);
}

.header-container {
    background: var(--bgcolor);
}

.nav-list-items-container:hover {
    background: var(--hover-color);
    color: var(--bgcolor);
    cursor: pointer;
}

.nav-list-items-link {
    background: var(--bgcolor);
    color: var(--contrastcolor);
    line-height: 210%;
    letter-spacing: .5px;
    font-family: 'Fauna One', serif;
}

.logo-content-name,
.logo-content-logo {
    background: none;
    color: var(--contrastcolor);
    border: none;
    font-family: 'Fauna One', serif;
}


/*Styling*/

.header-container {
    display: flex;
    justify-content: space-between;
    max-width: 75rem;
    width: 80%;
    margin: 0 auto;
    padding: 0;
    /*border: 5px solid cyan;*/
}

.logo {
    width: 30%;
    padding: .5em;
    display: flex;
    align-items: center;
    justify-content: center;
    /*border: 3px solid blue;*/
    position: relative;
}

.logo-container {
    display: flex;
    flex-direction: column;
    /*border: 2px solid yellow;*/
    align-items: center;
}

.logo-container img {
    height: 3rem;
    /*border: 1px solid white;*/
}

:is(.logo-content-logo, .logo-content-name):hover {
    cursor: pointer;
}

.navbar-links {
    display: flex;
    justify-content: space-evenly;
    width: 60%;
    /*border: 3px solid orange;*/
}

.nav-list {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    /*border: 3px solid magenta;*/
}

.nav-list-items {
    height: 100%;
}

.nav-list-items-link {
    height: 100%;
    min-width: 11.2rem;
    border: none;
}

.nav-list-items-link:hover {
    background: var(--hover-color);
    transition: 300ms;
    cursor: pointer;
}

.toggle-button {
    position: absolute;
    top: .75rem;
    right: 1rem;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 1.5rem;
    height: 1.3rem;
    /*border: 5px solid green;*/
}

.toggle-button .bar {
    height: 3px;
    width: 100%;
    background-color: white;
    border-radius: 10px;
    /*border: 3px solid blue;*/
}


/*Media Querries*/

@media (max-width: 500px) {
    .nav-list {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        min-width: 6rem;
        align-items: center;
        /*border: 2px solid cyan;*/
    }
    .nav-list-items {
        margin-bottom: .5em;
    }
    .toggle-button {
        display: flex;
        /*border: 2px solid red;*/
        top: 50%;
        transform: translateY(-50%);
    }
    .header-container {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 100%;
        /*border: 1px solid blue;*/
    }
    .logo {
        width: 90%;
        margin: .5em 2em;
        justify-content: space-between;
        /*border: 1px solid red;*/
    }
    .navbar-links {
        display: none;
    }
}